> For the complete documentation index, see [llms.txt](https://docs-old.telematicssdk.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs-old.telematicssdk.com/response-codes/archive/get-all-device-tokens.md).

# Get all DeviceTokens

{% hint style="danger" %}
The method is supported only by our old architecture which works with SubscriptionToken till the end of 2020.

If you are 1st time integrating the SDK and already use InstanceID and InstanceKEY, **don't use this method!**
{% endhint %}

## GetAll

<mark style="color:blue;">`GET`</mark> `https://mobilesdk.raxeltelematic.com/mobilesdk/manage/virtual_device/get_all/v1`

#### Headers

| Name              | Type   | Description                    |
| ----------------- | ------ | ------------------------------ |
| SubscriptionToken | string | Your Company subscriptionToken |

{% tabs %}
{% tab title="200 " %}

```
{
  "Result": {
     "VirtualDevices": [
          {
              "DeviceToken": "194df5b4-5322-43f5-bea7-16d85debfd00", // a device token value
              "CreateDt": "2019-01-01T00:00:00+00:00", // creation date
              "Enabled": true, // true if device is enabled
              "EnableTracking": true // true if tracking enabled for this device
          },
    "Code": 200 // response code
  }
}
```

{% endtab %}

{% tab title="400 " %}

```
{
  "Error": {
    "Code": 400 // error code
  }
}
```

{% endtab %}
{% endtabs %}

**REQUEST BODY:** empty<br>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs-old.telematicssdk.com/response-codes/archive/get-all-device-tokens.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
